package cn.wzpmc.commerce.entities;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class Order {
    private int id;
    private String orderNo;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date orderTime;
    private String orderStatus;
    private String wangNo;
    private String weChatNo;
    private String alipayNo;
    private double payAmt;
    private int storeId;
    private double commission;
    private String alipayName;
    private String rpName;
    private String rpWeChatName;
    private String remark;
    private String phoneNumber;
    private String cardNo;
    private int flag;
    private String flagRemark;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date payTime;
    private String address;
    private String sku;
}
