package cn.wzpmc.commerce.entities.vo;

import cn.wzpmc.commerce.utils.ServiceUtils;
import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@TableName("commission")
public class CommissionVo {
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    @ServiceUtils.Updatable
    @TableField("range_min")
    private Double range_min;
    @ServiceUtils.Updatable
    @TableField("range_max")
    private Double range_max;
    @ServiceUtils.Updatable
    private Double base;
    @ServiceUtils.Updatable
    private Double extra;
    @ServiceUtils.Updatable
    @TableField("store_id")
    private Integer storeId;
    @TableField("create_id")
    private Integer createId;
    @TableField("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
    @TableField(value = "update_time", update = "now()")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
    @TableLogic
    private boolean del;
}
