package cn.wzpmc.commerce.entities.vo;

import cn.wzpmc.commerce.enums.OrderStatus;
import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@TableName("order")
public class OrderVo {
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    private String no;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date time;
    private OrderStatus status;
    @TableField("wang_no")
    private String wangNo;
    @TableField("wechat_no")
    private String weChatNo;
    @TableField("alipay_no")
    private String alipayNo;
    @TableField("alipay_name")
    private String alipayName;
    private String phone;
    @TableField("card_no")
    private String cardNo;
    private Double payment;
    @TableField("pay_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date payTime;
    @TableField("head_name")
    private String headName;
    @TableField("head_wechat_name")
    private String headWeChatName;
    @TableField("store_id")
    private Integer storeId;
    private String remark;
    private Integer flag;
    @TableField("flag_remark")
    private String flagRemark;
    private String address;
    private String sku;
    @TableLogic
    private boolean del;
}
