package cn.wzpmc.commerce.entities.vo;

import cn.wzpmc.commerce.utils.ServiceUtils;
import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@TableName("account")
public class AccountVo {
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    @ServiceUtils.Updatable
    private String username;
    @ServiceUtils.Updatable
    private String email;
    @ServiceUtils.Updatable
    @TableField("rel_name")
    private String relName;
    private String password;
    @ServiceUtils.Updatable
    @TableField("group_id")
    private Integer groupId;
    @TableField("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
    @TableField(value = "update_time", update = "now()")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
    @TableLogic
    private boolean del;
}
