package cn.wzpmc.commerce.entities.vo;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@TableName("blacklist")
public class BlackListVo {
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    @TableField("store_id")
    private Integer storeId;
    @TableField("wang_no")
    private String wangNo;
    @TableField("wechat_no")
    private String weChatNo;
    @TableField("create_id")
    private Integer createId;
    @TableField("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
    @TableField(value = "update_time", update = "now()")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
    @TableLogic
    private boolean del;
}
