package cn.wzpmc.commerce.entities.vo;

import cn.wzpmc.commerce.utils.ServiceUtils;
import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@TableName("permissions")
public class PermissionVo {
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    @ServiceUtils.Updatable
    private String name;
    @ServiceUtils.Updatable
    private String code;
    @ServiceUtils.Updatable
    private String description;
    @TableField("group_id")
    private Integer groupId;
    @TableField("create_id")
    private Integer createId;
    @TableField("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
    @TableField(value = "update_time", update = "now()")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
    @TableLogic
    private boolean del;
}
