package cn.wzpmc.commerce.utils;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
public class DataResponse<T> extends MessageResponse {
    private T data;

    public DataResponse(T data, int code, String message) {
        super(message, code);
        this.data = data;
    }

    public DataResponse(T data, String message) {
        super(message);
        this.data = data;
    }

    public DataResponse() {
        super();
        this.data = null;
    }

    public String toString() {
        return super.toString();
    }
}
